Skip to content
AchaduDevelopers
Operational APIGo to website
Dashboard
Developers/API/group_update
Groups

Update group

Updates name, segment, capacity and automation.

PATCH/groups/{id}groups:write

Request

idstring · pathResource identifier.mandatory
namestring · bodyGroup name.optional
rolestring · bodyGroup role.optional
segment_idstring · bodySegment.optional
capacityinteger · bodyCapacity.optional
automationboolean · bodyActivates automation.optional
activeboolean · bodyActivate the group.optional

Example

curl
curl -X PATCH 'https://achadu.com/api/v1/groups/resource_id' \
+  -H 'Authorization: Bearer ach_live_...' \
+  -H 'Accept: application/json' \
+  -H 'Content-Type: application/json' \
+  --data '{
  "name": "My integration",
  "role": "string",
  "segment_id": "string"
}'

Answer

200Operation completed
4xxError with code, message and request_id